Bug 988876 - Test scenario cannot find facts from the same package
Test scenario cannot find facts from the same package
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: 6.0.0
Assigned To: Toni Rikkola
Jiri Locker
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 11:29 EDT by Jiri Locker
Modified: 2014-08-06 16:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2013-07-26 11:29:33 EDT
Description of problem:
It is impossible to run a test scenario if it is in a non-default package AND it uses facts from that package (i.e. no need to import them).

Version-Release number of selected component (if applicable):
DR6

How reproducible:
easily

Steps to Reproduce:
1. use mortgages project in uf-playground
2. create a new object in a new package, e.g. my.cool.stuff.Something using Data modeler (don't forget to save it)
3. go to my.cool.stuff package and creat a new Test scenario
4. Insert Something, run test, check Reporting window

Actual results:
Unable to find class 'Something'.

Expected results:
The test should pass without errors.

Additional info:
Comment 2 Jiri Locker 2013-07-26 11:48:49 EDT
One more related thing -- when adding expectation, no rules are offered from the select box, but this doesn't depend on package name. It doesn't work for mortgages test scenarios too.
Comment 3 Jiri Locker 2013-08-23 10:58:17 EDT
(In reply to Jiri Locker from comment #2)
> One more related thing -- when adding expectation, no rules are offered from
> the select box, but this doesn't depend on package name. It doesn't work for
> mortgages test scenarios too.

This has already been fixed and verified in bug 996490.
Comment 7 Jiri Locker 2013-10-17 13:32:02 EDT
Fixed in ER4.

Note You need to log in before you can comment on or make changes to this bug.